Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.cpp.cdt.model
[Groovy] Class CprojectDescriptor

    java.lang.Object
      org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
          org.gradle.plugins.cpp.cdt.model.CprojectDescriptor

    class CprojectDescriptor
    extends XmlPersistableConfigurationObject

The actual .cproject descriptor file.

Field Summary
`static String` | `GNU_COMPILER_TOOL_ID_PREFIX`
`static String` | `GNU_COMPILER_TOOL_INCLUDE_PATHS_OPTION_PREFIX`
`static String` | `GNU_LINKER_TOOL_ID_PREFIX`
`static String` | `GNU_LINKER_TOOL_LIBS_PATHS_OPTION_PREFIX`

Constructor Summary
`CprojectDescriptor()`

Method Summary
`String` | `createId(String prefix)`
`NodeList` | `getConfigurations()`
`protected String` | `getDefaultResourceName()`
`Node` | `getOrCreateIncludePathsOption(def compilerToolNode)`
`Node` | `getOrCreateLibsOption(def linkerToolNode)`
`NodeList` | `getRootCppCompilerTools()`
`NodeList` | `getRootCppLinkerTools()`
`NodeList` | `getRootToolChains()`
`boolean` | `isGnuCompilerTool(Node node)`
`boolean` | `isGnuLinkerTool(Node node)`
`protected void` | `store(Node xml)`

Field Detail

### GNU_COMPILER_TOOL_ID_PREFIX

    public static final String GNU_COMPILER_TOOL_ID_PREFIX

### GNU_COMPILER_TOOL_INCLUDE_PATHS_OPTION_PREFIX

    public static final String GNU_COMPILER_TOOL_INCLUDE_PATHS_OPTION_PREFIX

### GNU_LINKER_TOOL_ID_PREFIX

    public static final String GNU_LINKER_TOOL_ID_PREFIX

### GNU_LINKER_TOOL_LIBS_PATHS_OPTION_PREFIX

    public static final String GNU_LINKER_TOOL_LIBS_PATHS_OPTION_PREFIX

Constructor Detail

### CprojectDescriptor

    CprojectDescriptor()

Method Detail

### createId

    String createId(String prefix)

### getConfigurations

    NodeList getConfigurations()

### getDefaultResourceName

    protected String getDefaultResourceName()

### getOrCreateIncludePathsOption

    Node getOrCreateIncludePathsOption(def compilerToolNode)

### getOrCreateLibsOption

    Node getOrCreateLibsOption(def linkerToolNode)

### getRootCppCompilerTools

    NodeList getRootCppCompilerTools()

### getRootCppLinkerTools

    NodeList getRootCppLinkerTools()

### getRootToolChains

    NodeList getRootToolChains()

### isGnuCompilerTool

    boolean isGnuCompilerTool(Node node)

### isGnuLinkerTool

    boolean isGnuLinkerTool(Node node)

### store

    protected void store(Node xml)

Gradle API 1.1-rc-1